6.0.0-git
2019-09-17

[#14937] listMailboxes missing status information
Summary listMailboxes missing status information
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester mariusz.goch (at) spacja (dot) com
Created 2019-07-12 (67 days ago)
Due
Updated 2019-09-14 (3 days ago)
Assigned
Resolved 2019-09-14 (3 days ago)
Milestone
Patch Yes

History
2019-09-14 16:41:32 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit c48652f7b2b3c064ed13d0ec18572897e27cd8f6
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 12:07:54 -0400

[mjr] Fix LIST-STATUS parsing when using wildcards (Bug #14937
mariusz.goch@spacja.com).

  M doc/Horde/Imap/Client/changelog.yml

https://github.com/horde/Imap_Client/commit/c48652f7b2b3c064ed13d0ec18572897e27cd8f6
2019-09-14 16:41:31 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 7745cbc8c05cdb949a4bff9c76bcaa7203ad925a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 12:07:41 -0400

Bug: 14937 Fix LIST-STATUS parsing when using wildcards 
(mariusz.goch@spacja.com).

  M lib/Horde/Imap/Client/Socket.php

https://github.com/horde/Imap_Client/commit/7745cbc8c05cdb949a4bff9c76bcaa7203ad925a
2019-09-14 16:40:45 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
State ⇒ Resolved
Priority ⇒ 1. Low
Reply to this comment
Committed, thanks!
2019-09-14 16:02:42 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 0b76665da2aab9f80c69353a31a9066330676c73
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 12:02:17 -0400

[mjr] Fix LIST-STATUS parsing when using wildcards (Bug #14937
mariusz.goch@spacja.com).

  M doc/Horde/Imap/Client/CHANGES
  M package.xml

https://github.com/horde/Imap_Client/commit/0b76665da2aab9f80c69353a31a9066330676c73
2019-09-14 16:02:41 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit beadd0ff479f0f0fa7fc5b8bc524305ab31fab2c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 12:02:17 -0400

[mjr] Fix LIST-STATUS parsing when using wildcards (Bug #14937
mariusz.goch@spacja.com).

  M doc/Horde/Imap/Client/changelog.yml

https://github.com/horde/Imap_Client/commit/beadd0ff479f0f0fa7fc5b8bc524305ab31fab2c
2019-09-14 16:00:54 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 045a47b784ce0ad7dcc399797faf1a903839b2e9
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 14 Sep 2019 12:00:45 -0400

Bug: 14937 Fix LIST-STATUS parsing when using wildcards 
(mariusz.goch@spacja.com).

  M lib/Horde/Imap/Client/Socket.php

https://github.com/horde/Imap_Client/commit/045a47b784ce0ad7dcc399797faf1a903839b2e9
2019-07-12 20:11:45 mariusz (dot) goch (at) spacja (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ listMailboxes missing status information
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: socket_listmailboxes.patch Download
Reply to this comment
When fetching all mailboxes with query containing wildcards no status 
information is being returned.
Problem exists when server has capability LIST-STATUS.
When status information is being prepared patterns are used but not 
actual mailbox names. So it works when I search 'INBOX' but not with 
'*'.

$mailboxes = $imapClient->listMailboxes('*', 
Horde_Imap_Client::MBOX_ALL, array(
                        'attributes'        => true,
                        'special_use'        => true,
                        'status'                => Horde_Imap_Client::STATUS_MESSAGES,
                        'sort'                        => true
                ));

Forcing to use returned names does the job.

I've attached working patch to Socket.php

Saved Queries